#### buffer (12 of 32 overloads)

Create a new modifiable buffer that represents the given POD array.

    template<
        typename PodType,
        std::size_t N>
    mutable_buffer buffer(
        boost::array< PodType, N > & data,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffer` value equivalent to:

    mutable_buffer(
        data.data(),
        min(data.size() * sizeof(PodType), max_size_in_bytes));